
Redmine - Feature #12763

Add filtering capability to time entries REST API

2013-01-08 12:07 - Fedor Borshev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hello!

I am developing a small reports builder, and i use REST API to fetch time entries data. It would be useful to have a possibility to fetch

time entries by the given range, like in issues (GET /issues.xml?created_on=><2012-03-01|2012-03-07).

Related issues:

Is duplicate of Redmine - Feature #13275: Add query parameters/filter for lis... New

History

#1 - 2013-07-11 12:04 - Juozapis Juozapauskiksi

Merge with #13275

#2 - 2013-07-19 07:29 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Juozapis Juozapauskiksi wrote:

Merge with #13275

 Thanks.

#3 - 2013-07-19 07:29 - Toshi MARUYAMA

- Is duplicate of Feature #13275: Add query parameters/filter for listing time entries via REST API added

#4 - 2018-06-27 00:25 - Jigar Mehta

I am trying to do something very simple like getting all time entries on a given date. I tried sending a request to

/time_entries.json?spent_on=2018-06-26&user_id=me but it doesn't work. Am I doing something wrong?

I am trying to build a plugin for syncing time from Toggl to Redmine. I want to show the time entries already logged on Redmine. That's why I'm trying

to do the abovementioned thing.
